> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Email



## OpenAPI

````yaml post /v1/inbox/webhook
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/inbox/webhook:
    post:
      tags:
        - V1 - Inboxes
      summary: Receive Email
      operationId: receive_email
      parameters:
        - name: token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Token
        - name: host
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            auto_error: false
            title: Host
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_receive_email'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_receive_email:
      properties:
        to:
          anyOf:
            - type: string
            - type: 'null'
          title: To
        cc:
          anyOf:
            - type: string
            - type: 'null'
          title: Cc
        from:
          anyOf:
            - type: string
            - type: 'null'
          title: From
        subject:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        html:
          anyOf:
            - type: string
            - type: 'null'
          title: Html
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        SPF:
          anyOf:
            - type: string
            - type: 'null'
          title: Spf
        attachments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Attachments
        headers:
          anyOf:
            - type: string
            - type: 'null'
          title: Headers
      type: object
      title: Body_receive_email
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````